## x2gothinclient 1.5.0.1

=== debian/changelog ===
x2gothinclient (1.5.0.1-6+deb11u1) bullseye; urgency=medium

  * debian/control:
    + Add 'Provides: lightdm-greeter' to x2gothinclient-minidesktop bin:pkg.
     The X2Go TCE minidesktop implementation utilizes lightdm via its autologin
     feature. (Closes: #1003418).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 10 Jan 2022 07:33:28 +0100

x2gothinclient (1.5.0.1-6) unstable; urgency=medium

  * debian/patches:
    + Add 0011-create-var-lib-systemd-in-tmpfs-for-bullseye.patch and
      0012-override-systemd-udevd-for-bullseye-to-mount-usb-sto.patch.
      Consolidate TCE creation on Debian bullseye.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 05 Feb 2021 12:27:47 +0100

x2gothinclient (1.5.0.1-5) unstable; urgency=medium

  * debian/control:
    + Add alternative Ds for firefox-esr. Makes x2gothinclient-minidesktop
      bin:pkg installable on Ubuntu. (Closes: #958061).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 18 Apr 2020 23:58:10 +0200

x2gothinclient (1.5.0.1-4) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian/x2gothinclient-minidesktop:
    + Recommend alsa-tools instead of depending on it. This change could be
      reverted once alsa-tools re-enters testing.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 16 Apr 2020 11:11:47 +0200

x2gothinclient (1.5.0.1-3) unstable; urgency=medium

  * debian/x2gothinclient-minidesktop.{preinst,postrm}:
    + Drop diversion of /etc/lightdm/lightdm.conf. This has been a bad idea.
      (Closes: #948181).
  * debian/patches:
    + Add +0005_minidesktop-Provide-LightDM-config-adaptations-in-De.patch.
      Rename LightDM configuration file. Ship a system-wide default config
      and a commented-out default conffile for adaptations.
  * debian/x2gothinclient-minidesktop.install:
    + Adapt installation paths of LightDM config files to patch 0005.
  * debian/x2gothinclient-minidesktop.{postinst,maintscript}:
    + Remove previously shipped LightDM config file and reinstate its original
      (LightDM'ish) state (conffile removal, dpkg diversion removal).
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 09 Jan 2020 10:23:49 +0100

x2gothinclient (1.5.0.1-2) unstable; urgency=medium

  * debian/patches:
    + Add 0002_Add-close-disconnect-cmdline-option-to-X2Go-Client-s.patch and
      0003_Add-close-disconnect-cmdline-option-to-X2Go-Client-s.patch.
      Use --close-connect as x2goclient cmdline parameter (Closes: #947785).
    + Add 0004_management-share-etc-x2gothinclient-displaymanager_s.patch.
      Correct wrong file name in --background cmdline option for X2Go Client
      in display-manager mode. (Closes: #947618).
  * debian/x2gothinclient-minidesktop.postrm:
    + Do dpkg-divert --remove with --rename option. (Closes: #947683).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 02 Jan 2020 16:49:39 +0100

x2gothinclient (1.5.0.1-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #946674).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 13 Dec 2019 13:14:44 +0100
