=== debian/control ===
Source: x2gothinclient
Section: admin
Priority: optional
Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Mihai Moldovan <ionic@ionic.de>,
Build-Depends:
 debhelper-compat (= 12),
 qtbase5-dev,
 po-debconf,
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://code.x2go.org/releases/source/x2gothinclient
Vcs-Git: https://salsa.debian.org/debian-remote-team/x2gothinclient.git
Vcs-Browser: https://salsa.debian.org/debian-remote-team/x2gothinclient/

Package: x2gothinclient-management
Architecture: all
Depends:
 ${misc:Depends},
 debootstrap
Recommends:
 atftpd | tftpd | tftpd-hpa,
 syslinux,
 pxelinux,
 syslinux-themes-debian-squeeze,
 nfs-kernel-server
Breaks:
 x2gothinclientmanagement (<< 1.5.0.0),
Replaces:
 x2gothinclientmanagement (<< 1.5.0.0),
Suggests:
 dhcp3-server | dnsmasq | isc-dhcp-server
Description: Management tools for X2Go Thin Client chroot server
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session broker support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 x2gothinclient-management:
 --------------------------
 IMPORTANT: Install this package on the chroot server that
 provides X2Go Thin Client images over PXE/Etherboot.
 .
 For chroot servers it is recommended to use a very separate machine (not
 your main server on your network) that only serves this purpose.

Package: x2gothinclient-chroot
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 lsb-base,
 nfs-common,
 patch,
 plymouth,
 plymouth-themes-all,
 pulseaudio-x11 | pulseaudio,
 dbus-x11,
 dbus-user-session,
 syslinux,
 x2gothinclient-displaymanager | x2gothinclient-minidesktop,
 locales,
 policykit-1,
Recommends:
 acpid,
 gnupg-agent,
 pinentry-x2go,
 pcscd,
 pcsc-tools,
 scdaemon,
 gpgsm,
 less,
 mc,
 memtest86+,
 vim,
 x11-xserver-utils,
 x2gothinclient-cdmanager,
 x2gothinclient-usbmount,
 x2gothinclient-smartcardrules,
 ntp,
Suggests:
 firmware-linux-nonfree,
 firmware-bnx2,
 firmware-ralink,
 firmware-realtek,
 intel-microcode,
 amd64-microcode,
Description: Install X2Go Thin Client chroot (metapackage)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session broker support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 x2gothinclient-chroot:
 ----------------------
 This metapackage installs all X2Go TCE dependencies. This
 package is used in the X2Go Thin Client's chroot.

Package: x2gothinclient-minidesktop
Architecture: all
Pre-Depends:
 x2goclient,
Depends:
 ${misc:Depends},
 mate-desktop-environment-core,
 mate-icon-theme,
 mate-themes,
 mate-backgrounds,
 mate-media-pulse | hello,
 mate-settings-daemon-pulse | hello,
 murrine-themes,
 nuvola-icon-theme | hicolor-icon-theme,
 firefox-esr | firefox | chromium | x-www-browser,
 libglib2.0-bin,
 pavucontrol,
 pinentry-x2go,
 pulseaudio,
 xauth,
 xinit,
 x2gothinclient-common (>= ${source:Version}), x2gothinclient-common (<< ${source:Version}.1),
 lightdm,
Recommends:
 alsa-tools,
Breaks:
 x2gothinclient-minidesktop-mate,
Replaces:
 x2gothinclient-minidesktop-mate,
Conflicts:
 x2gothinclient,
Provides:
 lightdm-greeter,
Description: Minimal desktop for X2Go Thin Client chroot (based on MATE)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session broker support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 x2gothinclient-minidesktop:
 ---------------------------
 This metapackage provides a minimal desktop (based on MATE) as the
 TCE's workspace area. From there you can launch X2Go Sessions, but
 you also have a set of basic applications that run on the thinclient
 CPU (e.g. Firefox (ESR) with Flash).

Package: x2gothinclient-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
 x2goclient (>= 4.0.1.2-0~),
Breaks:
 x2gothinclient (<< 1.5.0.0),
Replaces:
 x2gothinclient (<< 1.5.0.0),
Description: X2Go thin client environment (common files)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session broker support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 x2gothinclient-common:
 ----------------------
 Common files for X2Go TCE (display manager / mini desktop).

Package: x2gothinclient-displaymanager
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 lsb-base,
 psmisc,
 pinentry-x2go,
 xauth,
 xinit,
 locales,
 dbus-x11,
 policykit-1,
 libfile-path-expand-perl,
 x2gothinclient-common (>= ${source:Version}), x2gothinclient-common (<< ${source:Version}.1),
Provides:
 x2gothinclient
Breaks:
 x2gothinshutdown,
 x2gothinclient (<< 1.5.0.0),
Replaces:
 x2gothinshutdown,
 x2gothinclient (<< 1.5.0.0),
Description: login daemon starting x2goclient in displaymanager mode
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session broker support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 x2gothinclient-displaymanager:
 -----------------------------
 IMPORTANT: Use this Package only for the X2Go Thin Client Environment
 (This package is meant to be installed in a CHROOT environment!!!)
 .
 This package starts X2Go Client in fullscreen mode---without window
 decorations, without menu and toolbar and optionally with enabled
 session broker support.
 .
 This package ships the core X2Go Thin Client daemon that guards over
 X2Go Client functionality.
 .
 X2Go Client in thin-client-mode will behave like xdm, kdm or gdm.

Package: x2gothinclient-usbmount
Architecture: all
Depends:
 ${misc:Depends},
 udev,
 cryptsetup,
 libfile-path-expand-perl,
Breaks:
 x2gousbmount (<< 1.5.0.0),
Replaces:
 x2gousbmount (<< 1.5.0.0),
Description: clientside usb mass-storage device mounting
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session broker support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 x2gothinclient-usbmount:
 ------------------------
 IMPORTANT: Use this Package only for the x2go Thin Client Environment
 (This package is meant to be installed in a CHROOT environment!!!)
 .
 This package adds client-side USB mass storage device mounting using
 UDEV rules to your X2Go Thin Client.

Package: x2gothinclient-cdmanager
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 lsb-base,
 lsscsi,
 eject,
 libfile-path-expand-perl,
Breaks:
 x2gocdmanager (<< 1.5.0.0),
Replaces:
 x2gocdmanager (<< 1.5.0.0),
Description: clientside daemon enabling automatic CD-Rom mounting
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session broker support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 x2gothinclient-cdmanager:
 -------------------------
 IMPORTANT: Use this Package only for the x2go Thin Client Environment
 (This package is meant to be installed in a CHROOT environment!!!)
 .
 This package adds a client-side daemon to your X2Go Thin Client that enables
 automatic CD-ROM mounting within Thin Client X2Go sessions.

Package: x2gothinclient-smartcardrules
Architecture: all
Depends:
 ${misc:Depends},
 udev,
Breaks:
 x2gosmartcardrules (<< 1.5.0.0),
Replaces:
 x2gosmartcardrules (<< 1.5.0.0),
Description: UDEV rules for smartcard readers
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session broker support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 x2gothinclient-smartcardrules:
 ------------------------------
 IMPORTANT: Use this Package only for the x2go Thin Client Environment
 (This package is meant to be installed in a CHROOT environment!!!)
 .
 This package provides UDEV rules for smartcard readers (devices that
 serve the purpose of ID-card based authentication).
