=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://code.x2go.org/releases/source/x2gothinclient/x2gothinclient-(\d+\.\d+\.\d+\.\d+)\.tar\.gz
